# Win2Linux Sisense migration tool


[Latest version download link](https://s3.amazonaws.com/data.sisense.com/Tools/win2linux_migration_latest.zip)


## Prerequisite:
- Moving assets from Windows host to Linux host we use SCP which use Secure Shell (SSH) for data transfer. we should ensure that such communication possible from windows to Linux machines (https://en.wikipedia.org/wiki/Secure_copy)
- Downtime to cubes if you execute it with option to transfer ecdata files- Running this tool on the Windows side will use "/api/elasticubes/metadata" and for exporting cubes to ecdata one by one. during exporting, the cube will be stopped.
- In the Linux machine Make sure to avoid disk pressure [(reference)](https://www.nrmitchi.com/2018/11/identifying-kubernetes-evictions/).
- Migration of complex deployment- HA, separated Query, Build, MongoDB nodes require consultation and instruction from Dan K.
- SSO will be disabled automatically in Linux after migration. User will need to enable it in Linux manually.
- We recommend migrating from Sisense version 7.2 and above.
- Migration of Sisense version 7.1 deployment require Dan k instruction.


## Limitation:
- We don't migrate static data source files (Excel, CSV) of cubes.
- After migration before executing builds "change connection" to data-sources required.    

## Sisense supported vs not supported assets


#### Sisense version 7.2 and above:
##### Supported:
- Cubes (ecdata files).
- Cubes Schema (json files).
- MongoDB
- Plugins
- Rebranding

##### Not Supported:
- Live Data Models (SNS-13206)
- Zookeeper (SNS-16558)
- Elasticube Plugins. 
- Elasticube schedule builds (Vista DB).
- Custom Rest connectors.
- Email templates.
- Translation.
- Usage Analytics.

---

#### Sisense version 7.1:
##### Supported:
- Cubes (ecdata files).
- MongoDB.
- Plugins
- Rebranding

##### Not Supported:
- Cubes Schema (json files).
- Live Data Models (SNS-13206).
- Elasticube Plugins. 
- Elasticube schedule builds (Vista DB).
- Custom Rest connectors.
- Email templates.
- Translation.
- Zookeeper. 